@echo off
rem
rem  Usage:  recover {showfile} {newfile}
rem

if %1. == . goto bad
if %2. == . goto bad

goto good

:bad

echo.
echo Status Cue backup file recovery
echo   Usage: recover {showfile} {newshowfile}
echo   Do not use extensions (.shw, .sng, etc.) for filenames.
echo.

goto finish

:good

if exist %1.!hw goto ok

echo.
echo %1.!hw does not exist!
echo.
goto finish

:ok

if not exist %2.shw goto a1
echo.
echo %2.shw already exists!  Please erase it first.
echo.
goto finish
:a1

if exist %2.shw erase %2.shw
if exist %2.cfg erase %2.cfg
if exist %2.cue erase %2.cue
if exist %2.fxg erase %2.fxg
if exist %2.sc1 erase %2.sc1
if exist %2.sc2 erase %2.sc2
if exist %2.scn erase %2.scn
if exist %2.seq erase %2.seq
if exist %2.sng erase %2.sng
if exist %2.mac erase %2.mac
if exist %2.wnd erase %2.wnd

copy %1.!hw %2.shw
copy %1.!fg %2.cfg
copy %1.!ue %2.cue
copy %1.!xg %2.fxg
copy %1.sc2 %2.sc1
copy %1.!cn %2.scn
copy %1.!eq %2.seq
copy %1.!ng %2.sng

if exist %1.!ac copy %1.!ac %2.mac
if exist %1.!nd copy %1.!nd %2.wnd

:finish


