echo off
echo --------------------------------------
echo           Music Quest, Inc.
echo Diagnostics and Utilities Installation
echo        MIDI Interface Set Up
echo --------------------------------------
if $%1 == $ goto prompt
if %1 == c goto cdrive
if %1 == C goto cdrive
if %1 == c: goto cdrive
if %1 == C: goto cdrive
if %1 == d goto ddrive
if %1 == D goto ddrive
if %1 == d: goto ddrive
if %1 == D: goto ddrive
if %1 == a: goto adrive
if %1 == A: goto adrive
if %1 == a goto adrive
if %1 == A goto adrive
rem
rem Prompt for batch file syntax
rem
:prompt
echo *
echo This MQINSTAL batch file installs the Music Quest utility programs
echo on your hard disk.
echo The README.TXT file summarizes the included utilities.
echo *
echo *
echo Use MQINSTAL A or MQINSTAL A: to install on your A: disk.
echo Use MQINSTAL C or MQINSTAL C: to install on your C: disk.
echo Use MQINSTAL D or MQINSTAL D: to install on your D: disk.
echo *
goto exit
rem
rem A drive installation
rem
:adrive
rem
goto exit
rem
rem C drive installation
rem
:cdrive
echo Installing on drive C.
pause
echo Creating directories.....
echo Note: If you are re-installing or if you have installed Music Quest
echo products, ignore directory error messages.
md c:\mq
md c:\mq\mqdiag
md c:\mq\mbatch
md c:\mq\drivers
echo Copying files
copy \*.* c:\mq
copy \mqdiag\*.* c:\mq\mqdiag
copy \mbatch\*.* c:\mq\mbatch
copy \drivers\*.* c:\mq\drivers
echo Diagnostics and Utilities installed on drive C.
cd c:\mq
c:
rem
goto exit
rem
rem D drive installation
rem
:ddrive
echo Installing on drive D.
pause
echo Creating directories.....
echo Note: If you are re-installing or if you have installed Music Quest
echo products, ignore directory error messages.
md d:\mq
md d:\mq\mqdiag
md d:\mq\mbatch
md d:\mq\drivers
echo Copying files
copy \*.* d:\mq
copy \mqdiag\*.* d:\mq\mqdiag
copy \mbatch\*.* d:\mq\mbatch
copy \drivers\*.* d:\mq\drivers
echo Diagnostics and Utilities installed on drive D.
cd d:\mq
d:
rem
goto exit
:exit
